Get sales
Retrieves the sales for a customer based on the provided criteria.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"keyword?stringDomain keyword filter
limit?integerNumber of items to return. Minimum value of 1. Maximum value of 1000.
int641 <= value <= 100025offset?integerNumber of items to skip before starting to collect the result set.
int640 <= value0order?stringSorts the result by a selected listing field.
^-?[a-z_]([a-zA-Z0-9_.]*)*$"SALE_PRICE_DESC""NAME_ASC""NAME_DESC""SALE_PRICE_ASC""SALE_PRICE_DESC""SOLD_AT_ASC""SOLD_AT_DESC""STATUS_ASC""STATUS_DESC"status?stringFilter for returning sales in particular status. Example query: status=COMPLETED
"AWAITING_AUTH_CODE""AWAITING_PAYEE_UPDATE""AWAITING_TRANSFER_OWNERSHIP""CANCELLED""CANCEL_REQUESTED""COMPLETED""CONFIRMED_TRANSFER""LEASE_FULLY_PAID""PAID_LEASE_INSTALLMENT""PENDING""PENDING_PAYOUT""PENDING_TRANSFER""PENDING_TRANSFER_INSTRUCTIONS""SCHEDULED_PAYOUT""UNKNOWN"soldAtStartDate?stringStart of date range for filtering sales by when the sale occurred. If neither soldAtStartDate nor soldAtEndDate is provided, defaults to 1 month ago.
date-timesoldAtEndDate?stringEnd of date range for filtering sales by when the sale occurred. If neither soldAtStartDate nor soldAtEndDate is provided, defaults to current time.
date-timeX-Request-Id?stringA unique identifier for the request
Successful response containing sales data
application/json- response
Sales contains a set of sales in a result set, with pagination information
sales*array<>List of sales including status and pricing metadata
pagination*Pagination information for a result set
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/sales?soldAtStartDate=2024-01-01T00%3A00%3A00Z&soldAtEndDate=2025-01-01T00%3A00%3A00Z'{ "sales": [ { "cancelReason": "SELLER_TRANSFER_FAILURE", "commission": 2000000000, "name": "example.com", "salePrice": 2000000000, "saleTotal": 2000000000, "soldAt": "string", "disbursedAt": "string", "status": "PENDING", "transactionId": "001d7566-5a43-11e9-82e3-fa163ebaed2e", "authCode": "ABC123XYZ", "saleType": "BUYNOW", "installmentAmount": 10000000, "nextInstallmentDate": "2024-02-01", "prevInstallmentDate": "2024-01-01", "totalInstallments": 12, "totalInstallmentsPaid": 3 } ], "pagination": { "first": "/v3/aftermarket/customers/my/sales?limit=25&offset=0", "last": "/v3/aftermarket/customers/my/sales?limit=25&offset=100", "next": "/v3/aftermarket/customers/my/sales?limit=25&offset=25", "previous": "/v3/aftermarket/customers/my/sales?limit=25&offset=0", "total": 101 }}